%define _disable_ld_no_undefined	1
%define _disable_ld_as_needed		1

%define origname	hayes
%define app		noatun

Name:		%{app}-%{origname}
Summary:	Playlist-plugin for Noatun
Version:	1.4
Release:	%{mkrel 6}
Source0:	http://www.hakubi.us/hayes/%{origname}-%{version}.tar.bz2
Epoch:		1
License:	BSD
Group:		Graphical desktop/KDE
URL:		http://www.hakubi.us/hayes
BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	kdemultimedia-devel
BuildRequires:	fam-devel
BuildRequires:	arts-devel
BuildRequires:	X11-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	audiofile-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	qt3-devel
BuildRequires:	kdebase3-devel
BuildRequires:	libkdemultimedia-noatun-devel
Requires:	kdemultimedia
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Hayes is the playlist for Noatun 2 / KDE 3 that attempts to be efficent for those
users with large directories full of music, especially directories futher
organized by album.  For these users, Hayes should be more efficient in speed
and memory than the usual playlist.  Plus, the playlist is updated in realtime
as the directories change on-disk, so playlist maintenance is no longer an
issue.

%prep
%setup -q -n %{origname}-%{version}

%build
%configure_kde3	--disable-debug \
		--enable-final \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-rpath \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--with-qt-dir=%{qt3dir}
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc VERSION
%{_kde3_datadir}/apps/noatun/icons/hicolor/22x22/actions/noatunshuffle.png
%{_kde3_datadir}/apps/noatun/icons/hicolor/32x32/actions/nextsection.png
%{_kde3_datadir}/apps/noatun/icons/hicolor/32x32/actions/prevsection.png
%{_kde3_datadir}/apps/konqueror/servicemenus/noatunhayessetcurrent.desktop
%{_kde3_datadir}/services/noatunhayessetcurrent.desktop
%{_kde3_datadir}/apps/noatun/hayesui.rc
%{_kde3_datadir}/apps/noatun/hayes.plugin
%defattr(755,root,root,755)
%{_kde3_libdir}/kde3/*



%changelog
* Sun Sep 07 2008 Adam Williamson <awilliamson@mandriva.com> 1:1.4-6mdv2009.0
+ Revision: 282063
- s,$RPM_BUILD_ROOT,%%{buildroot}
- move to /opt (it's for KDE 3 version of noatun)
- better description (from upstream)
- one buildrequires per line
- update URL
- correct license (BSD not GPL)
- drop unnecessary defines
- disable underlinking protection (build breaks, no shared lib)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - use %%mkrel
    - import noatun-hayes

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Mon May 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.4-5mdk
- rebuild
- add missing buildrequires

* Fri Nov 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4-4mdk
- rebuild

* Wed Jun 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4-3mdk
- rebuild

* Tue Jun 15 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4-2mdk
- rebuild

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4-1mdk
- 1.4
- fix buildrequires (lib64..)

* Wed Jul 02 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.3-1mdk
- 1.3 (should fix #2818)
- added Epoch tag, rpm thinks 1.21 is newer than 1.3

* Thu Jun 19 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.21-5mdk
- fix path to qt3 (lib64 issues..)

* Fri May 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.21-4mdk
- added yet another buildrequires (thx to stefans build robot)
- compiled --with-xinerama
- compile with $RPM_OPT_FLAGS
- minor fixes

* Fri Mar 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.21-3mdk
- yet another missing BuildRequires added..

* Thu Mar 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.21-2mdk
- added libqt3-devel to BuildRequires

* Tue Feb 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.21-1mdk
- 1.21
- Minor fixes

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 1.1.5-3mdk
- rebuild

* Sat Nov 23 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.1.5-2mdk
- Rebuild against kdemultimedia-3.1rc3
- Change permissions on .spec file to 644
- configure with libdir(to make rpmlint happy)

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.5-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- First mdk release

* Thu Aug 15 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 1.1.4-2dlc
- Rebuild against gcc-3.2
